## org.apache.batik.script.jpython
Class JPythonInterpreterFactory

    java.lang.Object
      org.apache.batik.script.jpython.JPythonInterpreterFactory

All Implemented Interfaces:
  InterpreterFactory

public class JPythonInterpreterFactory
extends java.lang.Object
implements InterpreterFactory

Allows to create instances of `JPythonInterpreter` class.

Constructor Summary
`JPythonInterpreterFactory()` Builds a `JPythonInterpreterFactory`.

Method Summary
`Interpreter` `createInterpreter(java.net.URL documentURL)` Creates an instance of `JPythonInterpreter` class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPythonInterpreterFactory

    public JPythonInterpreterFactory()

  Builds a `JPythonInterpreterFactory`.

Method Detail

### createInterpreter

    public Interpreter createInterpreter(java.net.URL documentURL)

  Creates an instance of `JPythonInterpreter` class.

  Specified by:
    `createInterpreter` in interface `InterpreterFactory`
  Parameters:
    `documentURL` - the url for the document which will be scripted

Copyright © 2004 Apache Software Foundation. All Rights Reserved.